%global pypi_name filelock
%global commitId 24b26b6be356de80d7212a9f7621d81c6d3eec8d

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        3.8.0
Release:        1%{?dist}
Summary:        A platform independent file lock

License:        Unlicense
URL:            https://github.com/tox-dev/py-filelock
Source0:        python-filelock-24b26b6be356de80d7212a9f7621d81c6d3eec8d.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools_scm+toml
BuildRequires:  python%{python3_pkgversion}-wheel

%description
This package contains a single module, which implements a platform independent
file locking mechanism for Python.
The lock includes a lock counter and is thread safe. This means, when locking
the same lock object twice, it will not block.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        A platform independent file lock

%description -n python%{python3_pkgversion}-%{pypi_name}
This package contains a single module, which implements a platform independent
file locking mechanism for Python.
The lock includes a lock counter and is thread safe. This means, when locking
the same lock object twice, it will not block.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{py3_build}

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Oct 17 2022 Dimitri Savineau <dsavinea@redhat.com> 3.8.0-1
- Initial release
